import { Component } from '@angular/core';
import { AlertController } from '@ionic/angular';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: false,
})
export class Tab3Page {
  user = {
    id: 'u_123456',
    name: '旅行者',
    avatar: 'assets/avatars/user1.png'
  };

  constructor(private alertController: AlertController) {}

  async editProfile() {
    const alert = await this.alertController.create({
      header: '编辑用户名',
      inputs: [
        {
          name: 'username',
          type: 'text',
          value: this.user.name,
          placeholder: '输入新用户名'
        }
      ],
      buttons: [
        {
          text: '取消',
          role: 'cancel'
        },
        {
          text: '保存',
          handler: (data) => {
            if (data.username) {
              this.user.name = data.username;
            }
          }
        }
      ]
    });

    await alert.present();
  }

  showSettings() {
    console.log('打开设置页面');
    // 这里可以添加导航到设置页面的逻辑
  }

  logout() {
    console.log('用户退出登录');
    // 这里添加退出登录逻辑
    this.user.name = '未登录用户';
    this.user.avatar = 'assets/default-avatar.png';
  }
}
